csOBBFrozen Class Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
csOBBFrozen Class Reference
Geometry utilities

Version of the csOBB with frozen corners (for optimization purposes). More...

`#include <csgeom/obb.h>`

List of all members.

## Public Member Functions
void | Copy (const csOBB &obb)
| Copy a normal OBB and freeze the corners.
void | Copy (const csOBB &obb, const csReversibleTransform &trans)
| Copy a normal OBB and freeze the corners.
| csOBBFrozen ()
| Create an empty csOBBFrozen which is not initialized.
| csOBBFrozen (const csOBB &obb)
| Create a frozen OBB from a normal OBB.
| csOBBFrozen (const csOBB &obb, const csReversibleTransform &trans)
| Create a frozen OBB from a normal OBB.
const csVector3 & | GetCorner (int corner) const
| Get one corner from the OBB.
bool | ProjectOBB (float fov, float sx, float sy, csBox2 &sbox, float &min_z, float &max_z)
| Project this OBB to a 2D screen space box.
bool | ProjectOBB (const CS::Math::Matrix4 &projection, csBox2 &sbox, float &min_z, float &max_z, int screenWidth, int screenHeight)
| Project this OBB to a 2D screen space box.

## Detailed Description

Version of the csOBB with frozen corners (for optimization purposes).

Definition at line 117 of file obb.h.

## Constructor & Destructor Documentation

csOBBFrozen::csOBBFrozen | ( |  | ) | `[inline]`

Create an empty csOBBFrozen which is not initialized.

Definition at line 142 of file obb.h.

csOBBFrozen::csOBBFrozen | ( | const csOBB & | obb | ) | `[inline]`

Create a frozen OBB from a normal OBB.

Definition at line 149 of file obb.h.

csOBBFrozen::csOBBFrozen | ( | const csOBB & | obb,
|  | const csReversibleTransform & | trans
| ) |  | `[inline]`

Create a frozen OBB from a normal OBB.

The given transform is applied to the vertices AFTER the matrix of the obb is applied (using Other2This).

Definition at line 160 of file obb.h.

## Member Function Documentation

void csOBBFrozen::Copy | ( | const csOBB & | obb | ) | `[inline]`

Copy a normal OBB and freeze the corners.

Definition at line 126 of file obb.h.

void csOBBFrozen::Copy | ( | const csOBB & | obb,
|  | const csReversibleTransform & | trans
| ) |  |

Copy a normal OBB and freeze the corners.

const csVector3& csOBBFrozen::GetCorner | ( | int | corner | ) | const`[inline]`

Get one corner from the OBB.

Definition at line 168 of file obb.h.

bool csOBBFrozen::ProjectOBB | ( | float | fov,
|  | float | sx,
|  | float | sy,
|  | csBox2 & | sbox,
|  | float & | min_z,
|  | float & | max_z
| ) |  |

Project this OBB to a 2D screen space box.

Returns false if OBB is not on screen.

bool csOBBFrozen::ProjectOBB | ( | const CS::Math::Matrix4 & | projection,
|  | csBox2 & | sbox,
|  | float & | min_z,
|  | float & | max_z,
|  | int | screenWidth,
|  | int | screenHeight
| ) |  |

Project this OBB to a 2D screen space box.

Returns false if OBB is not on screen.

The documentation for this class was generated from the following file:

- csgeom/obb.h